<div th:fragment="colorpicker(color, row, column)">
    <h3>Pick the cell's color </h3>
    <form action="#" method="post" th:action="@{/setcolor}">
        <div class="container">
            <input id="color" type="text" placeholder="find color code" th:value="${color}" name="color"/>
            <input type="hidden" th:value="${row}" name="row"/>
            <input type="hidden" th:value="${column}" name="column"/>
            <button type = "submit" class = "btn btn-primary">Submit</button>
            <script>
            $(function () {
            $('#color').colorpicker();
            });
            </script>
        </div>
    </form>
</div>